package com.tzld.piaoquan.recommend.server.model;

import lombok.Data;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author dyp
 */
@Data
public class Video {
    private long videoId;
    private double rovScore;
    private double sortScore;
    private String pushFrom;
    private String abCode;

    // 流量池相关 start
    private String flowPool;
    private String level;
    private String flowPoolAbtestGroup;
    private boolean inFlowPool;
    // 流量池相关 end

    private double rand;
    private String lastVideoKey;

    // video的特征 tag
    private List<String> tags = new ArrayList<>();

    // video的模型打分
    public double scoreRos = 0.0D;
    public double scoreStr = 0.0D;
    public double score = 0.0D;
    public double scoreRegion = 0.0D;
    public Map<String, Double> scoresMap = new HashMap<>();
    public Map<String, List<String>> pushFromIndex = new HashMap<>();
    public Map<String, Integer> pushFromRank = new HashMap<>();
    // 处理后，传给模型的特征
    public Map<String, String> allFeatureMap = new HashMap<>();
    // 原始特征
    public Map<String, Map<String, String>> metaFeatureMap = new HashMap<>();

}
